bad strings in notification messages
2009-10-06 19:23 - alexander smishlajev

Status: Closed Start date: 2009-10-06
Priority: Normal Due date:

Assignee: Azamat Hackimov % Done: 0%
Category: Translations Estimated time: 0.00 hour

Target version:

Resolution: Fixed Affected version:

Description
When a file is added to or deleted from an issue, issues_helper.rb builds (part of) notification message by the following code block:

case detail.property
when 'attr', 'cf'
if !detail.old_value.blank?
1 (:text_journal_changed, :label => label, :0ld => old_value, :new => value)
else
1 (:text_journal_set_to, :label => label, :value => value)
end
when 'attachment'
"#{label} #{value} #{1l(:label_added)}"
end
else
case detail.property
when 'attr', 'cf'
1 (:text_journal_deleted, :label => label, :0ld => old_value)
when 'attachment'
"#{label} #{old_value} #{1l(:label_deleted)}"
end
end

String composition like "#{label} #{value} #{(:label_added)}" is not valid for non-english locales. The string template should be
translated in a whole.

Associated revisions

Revision 2907 - 2009-10-10 13:11 - Jean-Philippe Lang
Completes r2856 (#3979).

History

#1 - 2009-10-10 13:07 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Strings fixed in r2907.
https://www.redmine.org/projects/redmine/repository/svn/revisions/2907
